<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:55:58 BRT 2020 -->
<title>JKnob</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="declaration: package: eu.systemsengineer.fjcapeletto.display, class: JKnob">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JKnob.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">eu.systemsengineer.fjcapeletto.display</a></div>
<h1 title="Class JKnob" class="title">Class JKnob</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.awt.Component
<div class="inheritance">java.awt.Container
<div class="inheritance">javax.swing.JComponent
<div class="inheritance">eu.systemsengineer.fjcapeletto.display.JKnob</div>
</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.event.MouseListener</code>, <code>java.awt.event.MouseMotionListener</code>, <code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code>, <code>java.util.EventListener</code></dd>
</dl>
<hr>
<pre>class <span class="typeNameLabel">JKnob</span>
extends javax.swing.JComponent
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener</pre>
<div class="block">JKnob.java - 
   A knob component.  The knob can be rotated by dragging 
   a spot on the knob around in a circle.
   The knob will report its position in radians when asked.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>12/4/2000, 18/3/2020 by Fernando Jose Capeletto Neto: Implemented the 'getAngleInDegrees ()' method and adapted the size to my purposes.</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Grant William Braught, Dickinson College</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<li class="blockList">
<section class="nestedClassSummary"><a id="nested.class.summary">
<!--   -->
</a>
<h2>Nested Class Summary</h2>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h2>
<a id="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a><code>javax.swing.JComponent.AccessibleJComponent</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h2>
<a id="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>java.awt.Container.AccessibleAWTContainer</code></div>
<div class="inheritedList">
<h2>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h2>
<a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#knobColor">knobColor</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pressedOnSpot">pressedOnSpot</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#radius">radius</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#spotColor">spotColor</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#spotRadius">spotRadius</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#theta">theta</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<a id="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a><code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></div>
<div class="inheritedList">
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a><code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">JKnob</a></span>()</code></th>
<td class="colLast">
<div class="block">No-Arg constructor that initializes the position
 of the knob to 0 radians (Up).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double)">JKnob</a></span>&#8203;(double&nbsp;initTheta)</code></th>
<td class="colLast">
<div class="block">Constructor that initializes the position
 of the knob to the specified angle in radians.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(double,java.awt.Color,java.awt.Color)">JKnob</a></span>&#8203;(double&nbsp;initTheta,
java.awt.Color&nbsp;initKnobColor,
java.awt.Color&nbsp;initSpotColor)</code></th>
<td class="colLast">
<div class="block">Constructor that initializes the position of the
 knob to the specified position and also allows the
 colors of the knob and spot to be specified.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAngle()">getAngle</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the current angular position of the knob.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAngleInDegrees()">getAngleInDegrees</a></span>()</code></th>
<td class="colLast">
<div class="block">Get the current angular position (in degrees) of the knob.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.awt.Dimension</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMinimumSize()">getMinimumSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Return the minimum size that the knob would like to be.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.awt.Dimension</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPreferredSize()">getPreferredSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Return the ideal size that the knob would like to be.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private java.awt.Point</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpotCenter()">getSpotCenter</a></span>()</code></th>
<td class="colLast">
<div class="block">Calculate the x, y coordinates of the center of the spot.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isOnSpot(java.awt.Point)">isOnSpot</a></span>&#8203;(java.awt.Point&nbsp;pt)</code></th>
<td class="colLast">
<div class="block">Determine if the mouse click was on the spot or
 not.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">
<div class="block">Here main is used simply as a test method.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Empy method because nothing happens on a click.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseDragged(java.awt.event.MouseEvent)">mouseDragged</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Compute the new angle for the spot and repaint the 
 knob.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Empty method because nothing happens when the mouse
 enters the Knob.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseExited(java.awt.event.MouseEvent)">mouseExited</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Empty method because nothing happens when the mouse
 exits the knob.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseMoved(java.awt.event.MouseEvent)">mouseMoved</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Empty method because nothing happens when the mouse
 is moved if it is not being dragged.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">When the mouse button is pressed, the dragging of the
 spot will be enabled if the button was pressed over
 the spot.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">When the button is released, the dragging of the spot
 is disabled.</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paint(java.awt.Graphics)">paint</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">
<div class="block">Paint the JKnob on the graphics context given.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<a id="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a><code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUI, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a><code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a><code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="radius">radius</a></h3>
<div class="memberSignature"><span class="modifiers">private static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">radius</span></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#eu.systemsengineer.fjcapeletto.display.JKnob.radius">Constant Field Values</a></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="spotRadius">spotRadius</a></h3>
<div class="memberSignature"><span class="modifiers">private static final</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">spotRadius</span></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#eu.systemsengineer.fjcapeletto.display.JKnob.spotRadius">Constant Field Values</a></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="theta">theta</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">theta</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="knobColor">knobColor</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.awt.Color</span>&nbsp;<span class="memberName">knobColor</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="spotColor">spotColor</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.awt.Color</span>&nbsp;<span class="memberName">spotColor</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="pressedOnSpot">pressedOnSpot</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">pressedOnSpot</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">JKnob</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">JKnob</span>()</div>
<div class="block">No-Arg constructor that initializes the position
 of the knob to 0 radians (Up).</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(double)">JKnob</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">JKnob</span>&#8203;(<span class="arguments">double&nbsp;initTheta)</span></div>
<div class="block">Constructor that initializes the position
 of the knob to the specified angle in radians.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>initAngle</code> - the initial angle of the knob.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(double,java.awt.Color,java.awt.Color)">JKnob</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">JKnob</span>&#8203;(<span class="arguments">double&nbsp;initTheta,
java.awt.Color&nbsp;initKnobColor,
java.awt.Color&nbsp;initSpotColor)</span></div>
<div class="block">Constructor that initializes the position of the
 knob to the specified position and also allows the
 colors of the knob and spot to be specified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>initAngle</code> - the initial angle of the knob.</dd>
<dd><code>initColor</code> - the color of the knob.</dd>
<dd><code>initSpotColor</code> - the color of the spot.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="paint(java.awt.Graphics)">paint</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">paint</span>&#8203;(<span class="arguments">java.awt.Graphics&nbsp;g)</span></div>
<div class="block">Paint the JKnob on the graphics context given.  The knob
 is a filled circle with a small filled circle offset 
 within it to show the current angular position of the 
 knob.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paint</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - The graphics context on which to paint the knob.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getPreferredSize()">getPreferredSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.awt.Dimension</span>&nbsp;<span class="memberName">getPreferredSize</span>()</div>
<div class="block">Return the ideal size that the knob would like to be.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getPreferredSize</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the preferred size of the JKnob.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMinimumSize()">getMinimumSize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.awt.Dimension</span>&nbsp;<span class="memberName">getMinimumSize</span>()</div>
<div class="block">Return the minimum size that the knob would like to be.
 This is the same size as the preferred size so the
 knob will be of a fixed size.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getMinimumSize</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the minimum size of the JKnob.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAngle()">getAngle</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">getAngle</span>()</div>
<div class="block">Get the current angular position of the knob.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current angular position of the knob.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAngleInDegrees()">getAngleInDegrees</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">double</span>&nbsp;<span class="memberName">getAngleInDegrees</span>()</div>
<div class="block">Get the current angular position (in degrees) of the knob.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current angular position (in degrees) of the knob.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getSpotCenter()">getSpotCenter</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.awt.Point</span>&nbsp;<span class="memberName">getSpotCenter</span>()</div>
<div class="block">Calculate the x, y coordinates of the center of the spot.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a Point containing the x,y position of the center
         of the spot.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isOnSpot(java.awt.Point)">isOnSpot</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isOnSpot</span>&#8203;(<span class="arguments">java.awt.Point&nbsp;pt)</span></div>
<div class="block">Determine if the mouse click was on the spot or
 not.  If it was return true, otherwise return 
 false.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if x,y is on the spot and false if not.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mouseClicked</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">Empy method because nothing happens on a click.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseClicked</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing 
          the mouse click.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mouseEntered</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">Empty method because nothing happens when the mouse
 enters the Knob.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseEntered</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing
          the mouse entry.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mouseExited(java.awt.event.MouseEvent)">mouseExited</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mouseExited</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">Empty method because nothing happens when the mouse
 exits the knob.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseExited</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing
          the mouse exit.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mousePressed(java.awt.event.MouseEvent)">mousePressed</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mousePressed</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">When the mouse button is pressed, the dragging of the
 spot will be enabled if the button was pressed over
 the spot.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mousePressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing
          the mouse press.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mouseReleased</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">When the button is released, the dragging of the spot
 is disabled.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing
          the mouse release.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mouseMoved(java.awt.event.MouseEvent)">mouseMoved</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mouseMoved</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">Empty method because nothing happens when the mouse
 is moved if it is not being dragged.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseMoved</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing
          the mouse move.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="mouseDragged(java.awt.event.MouseEvent)">mouseDragged</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">mouseDragged</span>&#8203;(<span class="arguments">java.awt.event.MouseEvent&nbsp;e)</span></div>
<div class="block">Compute the new angle for the spot and repaint the 
 knob.  The new angle is computed based on the new
 mouse position.
 Update by Fernando Jose Capeletto Neto: The component is repainted only if is enable.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>mouseDragged</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>e</code> - reference to a MouseEvent object describing
          the mouse drag.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="main(java.lang.String[])">main</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">main</span>&#8203;(<span class="arguments">java.lang.String[]&nbsp;args)</span></div>
<div class="block">Here main is used simply as a test method.  If this file
 is executed "java JKnob" then this main() method will be
 run.  However, if another file uses a JKnob as a component
 and that file is run then this main is ignored.</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/JKnob.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
